Get a material utilization config
curl --request GET \
--url https://api.demo.cula.earth/tracking/v1/material-utilization-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Cula-Organisation-Id: <cula-organisation-id>'import requests
url = "https://api.demo.cula.earth/tracking/v1/material-utilization-configs/{id}"
headers = {
"Cula-Organisation-Id": "<cula-organisation-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Cula-Organisation-Id': '<cula-organisation-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.demo.cula.earth/tracking/v1/material-utilization-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mutc_01k16bap2kcz0asd2h2dkzz1xj",
"site": {
"id": "ste_01k8g7aec6dt5zrtamc72ww446",
"external_id": "SITE-EXT-0001"
},
"created_at": "2026-01-15T08:00:00Z",
"active_version": {
"id": "mutcv_01kbr6p08518pexf6rs9segz8j",
"config_id": "mutc_01k16bap2kcz0asd2h2dkzz1xj",
"name": "Soil Application",
"published_at": "2026-01-15T08:00:00Z",
"unified": true,
"data_point_configs": [
{
"id": "dptc_01jxdp05c8r7dp4xf89pxcw28q",
"active_version": {
"id": "dptcv_01kfxe6xgmw15gsf204jwj90g5",
"name": "Weight gross",
"is_required": true,
"accepts_input": true,
"type": "short_text",
"validation": {
"max_length": 280
},
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"default_value": "<string>",
"default_input_value": "<string>"
}
}
],
"input_configs": [
{
"id": "mcnc_01k102qfrwthwk6dsggr9y8evn",
"name": "Big Bag",
"data_point_configs": [
{
"id": "dptc_01jxdp05c8r7dp4xf89pxcw28q",
"active_version": {
"id": "dptcv_01kfxe6xgmw15gsf204jwj90g5",
"name": "Weight gross",
"is_required": true,
"accepts_input": true,
"type": "short_text",
"validation": {
"max_length": 280
},
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"default_value": "<string>",
"default_input_value": "<string>"
}
}
]
}
]
}
}{
"code": "bad_request",
"message": "The field limit must not be greater than 100."
}{
"code": "unauthorized",
"message": "Invalid or expired token"
}{
"code": "not_found",
"message": "Resource with ID xyz_01k56g7aec6dt5zrtamc72vw446 could not be found."
}{
"code": "internal_server_error",
"message": "Internal server error."
}Material Utilizations
Get a material utilization config
GET
/
material-utilization-configs
/
{id}
Get a material utilization config
Authorizations
OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.
Headers
ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.
Example:
"org_01k83mfmhgchya944v86ryvhpq"
Path Parameters
Example:
"mutc_01k16bap2kcz0asd2h2dkzz1xj"
Response
Material utilization config with its fully hydrated active version.
The ID of the config.
Example:
"mutc_01k16bap2kcz0asd2h2dkzz1xj"
The site that owns this config.
Show child attributes
Show child attributes
When this config was created.
Example:
"2026-01-15T08:00:00Z"
The currently active version of the config, including its full configuration.
Show child attributes
Show child attributes
Was this page helpful?